> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit condition order (derivative)

> Edit a conditional derivative order.



## OpenAPI

````yaml /en/openapi/tcbs-v1.yaml post /khronos/v2/order/condition/change
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
paths:
  /khronos/v2/order/condition/change:
    post:
      summary: Edit condition order (derivative)
      description: Edit a conditional derivative order.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                accountId:
                  type: string
                  description: Custody code.
                pkOrderNo:
                  type: string
                  description: pk_orderNo from the order book query API.
                refId:
                  type: string
                  description: Unique reference ID.
                soPrice:
                  type: number
                  format: double
                  description: New activation price.
                type:
                  type: string
                  description: Type (empty).
                cmd:
                  type: string
                  description: Web.Order.ChangeCondition.
              required:
                - accountId
                - pkOrderNo
                - refId
                - soPrice
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  rc:
                    type: string
                    description: Result code, 1 = success.
                  data[].showPrice:
                    type: string
                    description: Activation price.
                  data[].price:
                    type: string
                    description: Order price.
                  data[].volume:
                    type: string
                    description: Volume.
                  data[].pkOrderNo:
                    type: string
                    description: Order number.
                  data[].notes:
                    type: string
                    description: Conditional order type.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.